IE兼容低版本设置

WEB设计 journey 1098℃ 0评论

用高版本的IE浏览器查看网页时,可能会出现网页布局混乱、javascript错误等情况。如何解决呢,可以尝试一下方法:

  用户篇
  IE8/IE9,按快捷键F12,弹出开发人员工具。在菜单栏中找到浏览器模式,切换到较低版本的浏览器看看效果。
     

  开发者篇
  维护以前的网站时,可能会遇到这样的问题,以前浏览得好好的网站,在高版本浏览器上就变形了,可以试试以下几种方式:
  方法一:个别网页修改
  如果只是几个网页浏览有问题的话,可以采用这种方式。就是在网页加入以下页面元信息(详见)。其中EmulateIE7,您可以根据自己的需求修改。

<head>
<title></title>
<meta http-equiv=”X-UA-Compatible” content=”IE=EmulateIE7″>
</head>  www.2cto.com  

  方法二:全局修改
  要对整个网站进行修改时,可以采用这种方式。就是在对应网站的IIS配置中修改“HTTP响应标头 ”。
   
 
                  win7
    

            windows Server
  好了,就这些了,Good Lucky!

转载请注明:咖啡杯里游泳 » IE兼容低版本设置

喜欢 (2)or分享 (0)
发表我的评论
取消评论
表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址